/*
T-SQL-Abfragen fr Microsoft SQL-Server 2022
Kontakt per E-Mail: info@it-angermann.de
Letzte Aktualisierung:  23 Mrz 2024.
Dirk Angermann
https://it-angermann.de
*/

BEGIN TRY
	INSERT INTO dbo.Lieferant VALUES ('L06','Lehmann',0,'Berlin')
	INSERT INTO dbo.Lieferant VALUES ('L07','Meier',0,'Leipzig')
END TRY
BEGIN CATCH
	SELECT 
		ERROR_NUMBER() AS 'Fehlernummer'
		,ERROR_MESSAGE() AS 'Information zum Fehler'
END CATCH;

BEGIN TRY
BEGIN TRANSACTION
	INSERT INTO dbo.Lieferant VALUES ('L06','Lehmann',0,'Berlin')
	INSERT INTO dbo.Lieferant VALUES ('L07','Meier',0,'Leipzig')
COMMIT TRANSACTION
END TRY
BEGIN CATCH
	SELECT 
		ERROR_NUMBER() AS 'Fehlernummer'
		,ERROR_MESSAGE() AS 'Information zum Fehler'
	ROLLBACK TRANSACTION
END CATCH;

BEGIN TRY
BEGIN TRANSACTION
	INSERT INTO dbo.Lieferant VALUES ('L06','Lehmann',0,'Berlin')
	INSERT INTO dbo.Lieferant VALUES ('L07','Meier',0,'Leipzig')
COMMIT TRANSACTION
END TRY;

BEGIN TRY
BEGIN TRANSACTION
	INSERT INTO dbo.Lieferant VALUES ('L06','Lehmann',0,'Berlin')
	INSERT INTO dbo.Lieferant VALUES ('L07','Meier',0,'Leipzig')
COMMIT TRANSACTION
END TRY
BEGIN CATCH
	SELECT 
		 ERROR_NUMBER() AS 'Fehlernummer'
		,ERROR_MESSAGE() AS 'Information zum Fehler'
	ROLLBACK TRANSACTION
END CATCH;

BEGIN TRY
BEGIN TRANSACTION
	INSERT INTO dbo.Lieferant VALUES ('L06','Lehmann',0,'Berlin')
	 INSERT INTO dbo.Lieferant VALUES ('L07','Meier',0,'Leipzig')
COMMIT TRANSACTION
END TRY
BEGIN CATCH
	SELECT 
		ERROR_NUMBER() AS 'Fehlernummer'
		,ERROR_MESSAGE() AS 'Information zum Fehler'
	IF (XACT_STATE ()) = -1
	BEGIN
		ROLLBACK TRANSACTION
	END
ELSE .... -- steht fr weitere Ereignisse von XACT_STATE bereit
END CATCH;

