/*
T-SQL-Abfragen fr Microsoft SQL-Server 2022
Kontakt per E-Mail: info@it-angermann.de
Letzte Aktualisierung:  23 Mrz 2024.
Dirk Angermann
https://it-angermann.de
*/

SELECT
	LNr AS 'Nummer'
	,LDatum AS 'Datum'
FROM dbo.Lieferung
WHERE DATEDIFF(yy,LDatum,GETDATE())>= 4;

SELECT
	LNr AS 'Nummer'
	,LDatum AS 'Datum'
FROM dbo.Lieferung
WHERE LDatum <= DATEADD(yy,-4,GETDATE());

USE db_Test;
go

SET SHOWPLAN_XML ON;
go
-- Ausfhren der Abfrage
SELECT
	LNr AS 'Nummer'
	,LDatum AS 'Datum'
FROM dbo.Lieferung
WHERE LDatum <= DATEADD(yy,-4,GETDATE());
go

SET SHOWPLAN_XML OFF;

SET STATISTICS TIME ON;
go

-- Ausfhren der Abfrage
SELECT
	LNr AS 'Nummer'
	,LDatum AS 'Datum'
FROM dbo.Lieferung
WHERE LDatum <= DATEADD(yy,-4,GETDATE());
go

SET STATISTICS TIME OFF;
go

SET STATISTICS IO ON;
go

-- Ausfhren der Abfrage
SELECT
	LNr AS 'Nummer'
	,LDatum AS 'Datum'
FROM dbo.Lieferung
WHERE LDatum <= DATEADD(yy,-4,GETDATE());
go

SET STATISTICS IO OFF;
Go